lucenenet-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Prescott Nasser <geobmx...@hotmail.com>
Subject RE: Regarding Lucene.net 4.9 vs 4.8 beta
Date Mon, 01 May 2017 17:05:21 GMT
I'll tackle both angles - thanks for the copy

~P

-----Original Message-----
From: Shad Storhaug [mailto:shad@shadstorhaug.com] 
Sent: Monday, May 1, 2017 10:03 AM
To: dev@lucenenet.apache.org
Subject: RE: Regarding Lucene.net 4.9 vs 4.8 beta

Presscott,

I was just about to send an email regarding this.

I think it is important that we use the right language to explain to the powers that be at
NuGet exactly what happened. Something along the lines of:

"We have been working on a version 4.8.0-beta00001 of Lucene.Net that has 16 new NuGet packages.
While we were in the process of preparing for the release, another user used an older, unstable
version of our source code to build a version called "4.9.0" and uploaded it to NuGet with
one of our intended package IDs "Lucene.Net.Analysis.Common". We have contacted the NuGet
user, ferronrsmith about this but received no reply. This is now blocking our release, since
we cannot release with our original package ID to a NuGet package that we don't currently
own. It doesn't make sense for us to rename the package because this is a port from Java and
we want to keep similar package names as the original. Furthermore, this is causing confusion
among our users, as the user is masquerading this as an official package from Apache, even
though it is not."

That said, I took a look at their "Report Abuse" feature and they don't have a way to give
an explanation there. I think the best we can do is "The package owner is fraudulently claiming
authorship", which should be enough to get some action started on this.

Thanks,
Shad Storhaug (NightOwl888)

-----Original Message-----
From: Prescott Nasser [mailto:geobmx540@hotmail.com] 
Sent: Monday, May 1, 2017 11:46 PM
To: dev@lucenenet.apache.org
Subject: RE: Regarding Lucene.net 4.9 vs 4.8 beta


It's been ~72 hours since I contacted Ferronrsmith (Nuget Package Owner). At this time, I'd
like to bump it a level higher and contact Nuget Admins. 

Itamar, I don't want to duplicate your efforts though, did you get any response from him when
you contacted him?

~P

-----Original Message-----
From: itamar.synhershko@gmail.com [mailto:itamar.synhershko@gmail.com] On Behalf Of Itamar
Syn-Hershko
Sent: Saturday, April 29, 2017 12:52 PM
To: dev@lucenenet.apache.org
Subject: Re: Regarding Lucene.net 4.9 vs 4.8 beta

This is a bit of a problem, yes. I contacted him via the nuget website asking him to remove
that package and work with us on an official release.

--

Itamar Syn-Hershko
Freelance Developer & Consultant
Elasticsearch Partner
Microsoft MVP | Lucene.NET PMC
http://code972.com | @synhershko <https://twitter.com/synhershko> http://BigDataBoutique.co.il/

On Fri, Apr 28, 2017 at 6:10 PM, Shad Storhaug <shad@shadstorhaug.com>
wrote:

> Team,
>
> Apparently, someone released an unofficial Lucene.Net clone on NuGet 
> (and has incremented it to 4.9.0), but is masquerading it as an 
> official version (calling it "Apache Lucene.Net" and putting  "The 
> Apache Software Foundation"
> (https://www.myget.org/gallery/lucene-net-ci). This doesn't sound like 
> something that Apache would approve of, so I am bringing it to your attention. It is
certainly going to cause confusion among users.
>
> Thanks,
> Shad Storhaug (NightOwl888)
>
> -----Original Message-----
> From: Shad Storhaug
> Sent: Friday, April 28, 2017 10:03 PM
> To: dev@lucenenet.apache.org
> Subject: RE: Regarding Lucene.net 4.9 vs 4.8 beta
>
> Sri,
>
> You can download the latest packages from the CI feed on MyGet 
> (including
> QueryParser): https://www.myget.org/gallery/lucene-net-ci
>
> The latest version is 4.8 - 4.9 has not been ported.
>
> Thanks,
> Shad Storhaug (NightOwl888)
>
> -----Original Message-----
> From: Srini V [mailto:vgeneral7@gmail.com]
> Sent: Friday, April 28, 2017 8:49 PM
> To: dev@lucenenet.apache.org; user@lucenenet.apache.org
> Subject: Regarding Lucene.net 4.9 vs 4.8 beta
>
> I have downloaded Lucene.net 4.9 (core and analyzers.common) from 
> nuget, But I dont see packages for Lucene queryparser
>
> Can someone please point to the right direction to get latest version 
> of lucene.net
>
> Thank you
> Sri
>
Mime
View raw message